=== debian/changelog ===
compton (0.1~beta1-1) unstable; urgency=low

  * Initial release (Closes: #679551)

 -- Scott Leggett <scott@sl.id.au>  Wed, 21 Aug 2013 20:13:37 +1000
