=== debian/rules ===
#!/usr/bin/make -f

# Set binary version
export COMPTON_VERSION = 0.1~beta1

%:
	dh $@
