=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  debhelper (>= 9.0.0),
  docbook-xml,
  docbook-xsl,
- hardening-wrapper,
  libconfig-dev,
  libdbus-1-dev,
  libdrm-dev,
@@ -18,6 +17,7 @@
  libxdamage-dev,
  libxext-dev,
  libxfixes-dev,
+ libxinerama-dev,
  libxml2-utils,
  libxrandr-dev,
  libxrender-dev,
