## compton 0.1~beta2%2B20150922-1%2B9.0trisquel9

=== debian/changelog ===
compton (0.1~beta2+20150922-1+9.0trisquel9) etiona; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 16 Jun 2020 05:13:05 +0000
