## compton 0.1~beta2%2B20150922-1%2B10.0trisquel11

=== debian/changelog ===
compton (0.1~beta2+20150922-1+10.0trisquel11) nabia; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 06 Dec 2021 12:18:18 +0000
