=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 Package: compton
 Architecture: any
-Depends: zenity,  mesa-utils, 
+Depends:
  ${misc:Depends},
  ${shlibs:Depends}
 Description: compositor for X11, based on xcompmgr
