=== debian/watch ===
version=3
opts="uversionmangle=s/_/~/" \
https://github.com/chjj/compton/tags .*/v(\d[\d\.\w]+)\.tar\.gz
