## compton 0.1~beta2+20150922-1+10.0trisquel9

=== debian/changelog ===
compton (0.1~beta2+20150922-1+10.0trisquel9) nabia; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 30 Jul 2021 23:54:33 +0000
