## compton 0.1~beta2+20150922-1+10.0trisquel10

=== debian/changelog ===
compton (0.1~beta2+20150922-1+10.0trisquel10) nabia; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 29 Nov 2021 20:01:29 +0000
