## compton 0.1~beta2-1%2B8.0trisquel7

=== debian/changelog ===
compton (0.1~beta2-1+8.0trisquel7) flidas; urgency=medium

  * Backported into Toutatis

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 14 Aug 2016 04:42:58 +0000
