=== debian/control ===
--- 
+++ 
@@ -23,14 +23,14 @@
  libxrender-dev,
  pkg-config,
  xsltproc
-Standards-Version: 3.9.7
+Standards-Version: 3.9.4
 Homepage: https://github.com/chjj/compton
-Vcs-Git: https://gitlab.com/smlx/compton.git
-Vcs-Browser: https://gitlab.com/smlx/compton
+Vcs-Git: git://github.com/smlx/package-compton.git
+Vcs-Browser: https://github.com/smlx/package-compton
 
 Package: compton
 Architecture: any
-Depends:
+Depends: zenity,  mesa-utils, 
  ${misc:Depends},
  ${shlibs:Depends}
 Description: compositor for X11, based on xcompmgr
