=== debian/changelog ===
compton (0.1~beta2-1+6.0trisquel3) toutatis; urgency=low

  * Backported into Toutatis

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Jan 2014 15:41:20 +0100
