=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: compton
 Section: x11
 Priority: extra
-Maintainer: Scott Leggett <scott@sl.id.au>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends:
  asciidoc,
  debhelper (>= 9.0.0),
@@ -30,7 +30,7 @@
 
 Package: compton
 Architecture: any
-Depends: zenity,  mesa-utils, 
+Depends:
  ${misc:Depends},
  ${shlibs:Depends}
 Description: compositor for X11, based on xcompmgr
