=== debian/changelog ===
compton (1-3) unstable; urgency=medium

  * New maintainer. (Closes: #960779)
  * Neither recommend or suggest picom. It is a fork of compton,
    so a separate product.
  * 'd/control': Move from transtional package libgl1-mesa-dev to libgl-dev.
  * 'd/control': Update 'Standards-Version' to 4.6.2, no changes required.
  * 'd/control': Remove ' Section: oldlibs'.
  * 'd/control': Remove message that compton is deprecated and to be removed
    and use the picom package instead.
    - Picom is a fork of compton, so different. Allow the user to decide which
      better suits their needs.
  * Removed 'd/watch' for now. Upstream compton redirects to picom.
  * Removed 'd/NEWS'. compton is still useful. Decision on removal can be
    taken at a later date, when it is no longer useful.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 25 Jan 2024 12:52:11 +0000

compton (1-2) unstable; urgency=medium

  * QA upload.
  * Remove pcre support. (Closes: #1000097)
  * Correct the download source. (Closes: #908533)

 -- Bastian Germann <bage@debian.org>  Fri, 18 Aug 2023 08:56:05 +0200

compton (1-1) unstable; urgency=medium

  * QA upload.
  * Package the first bugfix release of picom as compton.
  * Refresh patches.
  * Add a deprecation notice.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 16 Dec 2020 16:06:50 +0100

compton (0.1~beta2+20150922-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See: #960779)
  * Point Vcs to salsa.
  * Update Standards-Version to 4.5.0
    - Update Priority to optional.
  * Use debhelper-compat.
    - Update compat level to 13.
  * Use https with copyright-format uri.
  * Fix FTCBFS. (Closes: #878367)
    - Thanks to Helmut Grohne.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 25 May 2020 22:59:22 +0100
