=== debian/control ===
Source: compton
Section: x11
Priority: optional
Maintainer: Phil Wyett <philip.wyett@kathenas.org>
Build-Depends: debhelper-compat (= 13),
    asciidoc,
    docbook-xml,
    docbook-xsl,
    libconfig-dev,
    libdbus-1-dev,
    libdrm-dev,
    libgl-dev,
    libx11-dev,
    libxcomposite-dev,
    libxdamage-dev,
    libxext-dev,
    libxfixes-dev,
    libxinerama-dev,
    libxml2-utils,
    libxrandr-dev,
    libxrender-dev,
    pkg-config,
    xsltproc
Standards-Version: 4.6.2
Homepage: https://github.com/chjj/compton
Vcs-Git: https://salsa.debian.org/debian/compton.git
Vcs-Browser: https://salsa.debian.org/debian/compton

Package: compton
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: compositor for X11, based on xcompmgr
 compton is a compositor for X11, based on xcompmgr. In addition to shadows,
 fading and translucency, compton implements window frame opacity control,
 inactive window transparency, and shadows on argb windows.
