=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- NO_REGEX_PCRE=1
