## compton 1-1%2B11.0trisquel11

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # GNU make may get unhappy.
 
 CC ?= gcc
+PKG_CONFIG ?= pkg-config
 
 PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
@@ -33,7 +34,7 @@
 
   # libconfig-1.3* does not define LIBCONFIG_VER* macros, so we use
   # pkg-config to determine its version here
-  CFG += $(shell pkg-config --atleast-version=1.4 libconfig || echo '-DCONFIG_LIBCONFIG_LEGACY')
+  CFG += $(shell $(PKG_CONFIG) --atleast-version=1.4 libconfig || echo '-DCONFIG_LIBCONFIG_LEGACY')
 endif
 
 # ==== PCRE regular expression ====
@@ -51,7 +52,7 @@
 # ==== DRM VSync ====
 # Enables support for "drm" VSync method
 ifeq "$(NO_VSYNC_DRM)" ""
-  INCS += $(shell pkg-config --cflags libdrm)
+  INCS += $(shell $(PKG_CONFIG) --cflags libdrm)
   CFG += -DCONFIG_VSYNC_DRM
 endif
 
@@ -126,8 +127,8 @@
   CFLAGS += -fsanitize=memory
 endif
 
-LIBS += $(shell pkg-config --libs $(PACKAGES))
-INCS += $(shell pkg-config --cflags $(PACKAGES))
+LIBS += $(shell $(PKG_CONFIG) --libs $(PACKAGES))
+INCS += $(shell $(PKG_CONFIG) --cflags $(PACKAGES))
 
 CFLAGS += -Wall -Wimplicit-fallthrough
