=== debian/changelog ===
compton (1-1+11.0trisquel11) aramo; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 26 Jun 2022 12:08:06 +0000
